##
##  @l_prefix@/etc/cyrus-imapd/cyrus.conf - Cyrus IMAP server configuration
##

START {
    #   do not delete this entry!
    recover  cmd="@l_prefix@/bin/ctl_cyrusdb  -r"
#   # for a rolling replication client only
#   syncclient       cmd="/@l_prefix@/bin/sync_client -r"

#   #   this is only necessary if using idled for IMAP IDLE
#   idled    cmd="idled"
}

SERVICES {
    imap     cmd="imapd"    listen="localhost:imap"  prefork=0
    imaps    cmd="imapd -s" listen="localhost:imaps" prefork=0
    pop3     cmd="pop3d"    listen="localhost:pop3"  prefork=0
    pop3s    cmd="pop3d -s" listen="localhost:pop3s" prefork=0

#   # for a replication master only
#   syncserver  cmd="sync_server" listen="localhost:csync" prefork=0

#   # for a replication client only
#   imap     cmd="imapd"    listen="localhost:imap"  prefork=0 provide_uuid=33
#   imaps    cmd="imapd -s" listen="localhost:imaps"    prefork=0 provide_uuid=33
#   pop3     cmd="pop3d"    listen="localhost:pop3"  prefork=0 provide_uuid=33
#   pop3s    cmd="pop3d -s" listen="localhost:pop3s"    prefork=0 provide_uuid=33

    #   at least one LMTP is required for delivery
    #   KEEP the unix socket name IN SYNC with imapd.conf
    lmtp     cmd="lmtpd" listen="localhost:lmtp"                   prefork=0
    lmtpunix cmd="lmtpd" listen="@l_prefix@/var/imapd/socket/lmtp" prefork=0

#   # for a replication client only
#   lmtp     cmd="lmtpd" listen="localhost:lmtp"                   prefork=0 provide_uuid=33
#   lmtpunix cmd="lmtpd" listen="@l_prefix@/var/imapd/socket/lmtp" prefork=0 provide_uuid=33

#   #   useful if you need to give users remote access to sieve
#   sieve    cmd="timsieved" listen="localhost:sieve" prefork=0

#   #   this one is needed for the notification services
#   notify   cmd="notifyd" listen="@l_prefix@/var/imapd/socket/notify" prefork=1 proto="udp"
}

EVENTS {
    #   this is required
    checkpoint cmd="@l_prefix@/bin/ctl_cyrusdb -c"   period=30

    #   this is only necessary if using duplicate delivery suppression
    delprune   cmd="@l_prefix@/bin/ctl_deliver -E 3" period=1440

    #   this is only necessary if caching TLS sessions
    tlsprune   cmd="@l_prefix@/bin/tls_prune"        period=1440

    #   this is only necessary if using squatter, a mailbox indexer
    squatter   cmd="@l_prefix@/bin/squatter -r -s user" period=1440
}

